/* Upgrade Artwork Tracker database from v2 to v3 */

begin exclusive transaction;

/* Create new image table */
CREATE TABLE new_image (pk INTEGER PRIMARY KEY, type INTEGER, key INTEGER, tag INTEGER, thumbnail BLOB, photo BLOB, caption CHAR(200));

/* Copy old data back into table */
INSERT INTO new_image (pk, thumbnail, photo) SELECT pk, thumbnail, photo FROM image;

/* Drop old table */
DROP TABLE image;

/* Rename new table */
ALTER TABLE new_image RENAME TO image;

/* Update new image values */
update image set type = -2, key = -2, tag = 0;

/* Update database version number */
update version set version_num = 3;

commit;

/* Compact database */
vacuum;